(function () {
    tinymce.PluginManager.add('gift4u_sample_templates', function (editor, url) {
        // editor.addButton('gift4u_sample_templates', {
        //     text: 'Generate PDF',
        //     icon: false,
        //     onclick: function () {
        //         alert('xxxxx');
        //     }
        // });

        editor.addButton('gift4u_sample_templates', {
            type: 'listbox',
            text: 'Template',
            icon: false,
            onselect: function (e) {
                let value = this.value();
                if (value) {
                    if (typeof gift4uParams.emailTmplSamples[value] !== 'undefined') {
                        editor.setContent(gift4uParams.emailTmplSamples[value]);
                    }
                }
                // console.log(editor)
                // editor.insertContent(this.value())
            },
            values: [{value: 'default', text: 'Default'}],
        });

        editor.addButton('gift4u_shortcode', {
            type: 'listbox',
            text: 'Shortcodes',
            icon: false,
            onselect: function (e) {
                editor.insertContent(this.value())
            },
            values: [
                {value: '{site_title}', text: '{site_title}'},
                {value: '{coupon_code}', text: '{coupon_code}'},
                {value: '{coupon_value}', text: '{coupon_value}'},
                {value: '{sender_name}', text: '{sender_name}'},
                {value: '{recipient_name}', text: '{recipient_name}'},
                {value: '{message}', text: '{message}'},
                {value: '{coupon_expiry_date}', text: '{coupon_expiry_date}'},
                {value: '{apply_coupon_url}', text: '{apply_coupon_url}'},
            ],
        });
    });
})();
