<?php
defined( 'ABSPATH' ) || exit;

?>
<div id="gift4u-image-list-modal">
    <div class='gift4u-modal-content-header'>
        <div class='gift4u-header-title'><?php esc_html_e( 'Select a design for your gift card', 'gift4u-gift-cards-all-in-one-for-woo' ); ?></div>
    </div>

    <div class='gift4u-modal-content-body'>
        <div class="gift4u-modal-left">
			<?php
			if ( ! empty( $titles ) ) {
				$fist_key = array_key_first( $titles );

				foreach ( $titles as $g_id => $title ) {
					$active = $fist_key == $g_id ? 'gift4u-active' : '';

					printf( "<div class='gift4u-gallery-title %s' data-gift4u_gallery_tab='%d'>%s</div>", esc_attr( $active ), esc_attr( $g_id ), esc_html( $title ) );
				}
			}
			?>
        </div>

        <div class="gift4u-modal-right">
			<?php
			if ( ! empty( $galleries ) ) {
				$fist_key = array_key_first( $galleries );
				foreach ( $galleries as $g_id => $images ) {
					$active = $fist_key == $g_id ? 'gift4u-active' : '';

					printf( '<div class="gift4u-images-tab-item %s" data-gift4u_gallery_tab="%d">', esc_attr( $active ), esc_attr( $g_id ) );

					$img_fist_key = array_key_first( $images );
					foreach ( $images as $image_id => $image ) {
						$selected = ( $img_fist_key == $image_id ) && $active ? 'gift4u-selected' : '';

						printf( '<div class="gift4u-image-item %s" data-image_id="%d"><div class="gift4u-image-padding">%s</div></div>',
							esc_attr( $selected ), esc_attr( $image_id ), wp_kses_post( $image ) );
					}

					echo '</div>';
				}
			}
			?>
        </div>
    </div>

    <div class='gift4u-modal-content-footer'>
        <button type="button" class="gift4u-use-design"><?php esc_html_e( 'Use this design', 'gift4u-gift-cards-all-in-one-for-woo' ); ?></button>
    </div>
</div>