<?php

namespace Gift4U\Admin\Views;

defined( 'ABSPATH' ) || exit;

?>

<div id="gift4u-card-editor">
    <div id="gift4u-editor-control-panel" class="vi-ui form mini">
        <div id="gift4u-control-panel-wrapper">
            <div id="gift4u-global-properties">
                <h3 class="gift4u-print-layout-title"><?php esc_html_e( 'Print layout', 'gift4u-gift-cards-all-in-one-for-woo' ); ?></h3>
                <div class="field">
                    <label><?php esc_html_e( 'Paper size', 'gift4u-gift-cards-all-in-one-for-woo' ); ?></label>
                    <select class="gift4u-paper-size">
                        <option value="a3">A3</option>
                        <option value="a4">A4</option>
                        <option value="a5">A5</option>
                        <option value="custom"><?php esc_html_e( 'Custom', 'gift4u-gift-cards-all-in-one-for-woo' ); ?></option>
                    </select>
                </div>
                <div class="two fields">
                    <div class="field">
                        <label><?php esc_html_e( 'Width', 'gift4u-gift-cards-all-in-one-for-woo' ); ?></label>
                        <input type="number" value="" class="gift4u-card-view-width" min="0" step="any">
                    </div>
                    <div class="field">
                        <label><?php esc_html_e( 'Height', 'gift4u-gift-cards-all-in-one-for-woo' ); ?></label>
                        <input type="number" value="" class="gift4u-card-view-height" min="0" step="any">
                    </div>
                </div>

                <div class="field">
                    <label><?php esc_html_e( 'Margin', 'gift4u-gift-cards-all-in-one-for-woo' ); ?></label>
                    <div class="four fields">
                        <div class="field" data-tooltip="Top" data-variation="tiny">
                            <input type="number" value="" class="gift4u-card-view-margin" min="0" data-position="top">
                        </div>
                        <div class="field" data-tooltip="Right" data-variation="tiny">
                            <input type="number" value="" class="gift4u-card-view-margin" min="0" data-position="right">
                        </div>
                        <div class="field" data-tooltip="Bottom" data-variation="tiny">
                            <input type="number" value="" class="gift4u-card-view-margin" min="0" data-position="bottom">
                        </div>
                        <div class="field" data-tooltip="Left" data-variation="tiny">
                            <input type="number" value="" class="gift4u-card-view-margin" min="0" data-position="left">
                        </div>
                    </div>
                </div>
            </div>
            <hr/>

            <div id="gift4u-image-list-wrapper">
                <div id="gift4u-image-list">

                </div>
                <div class="vi-ui button mini gift4u-add-image"><?php esc_html_e( 'Add image', 'gift4u-gift-cards-all-in-one-for-woo' ); ?></div>
            </div>

            <hr/>

            <div id="gift4u-text-list-wrapper">
                <div id="gift4u-text-list">
                </div>
                <div class="vi-ui button mini gift4u-add-text"><?php esc_html_e( 'Add text', 'gift4u-gift-cards-all-in-one-for-woo' ); ?></div>
            </div>

        </div>

        <div id="gift4u-text-control-panel">
        </div>
    </div>

    <div id="gift4u-editor-background">
        <div class="gift4u-card-paper">
            <div class="gift4u-card-content">

            </div>
        </div>
    </div>

</div>




